routes/web.php
<?php
use Chartisan\PHP\Chartisan;
use App\Charts\TransaksiChart;
use Charts as ch;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('auth.login');
});

Route::middleware(['auth:sanctum', 'verified'])->get('/dashboard', function () {
    $totalProduk = count(App\Models\Produk::all());
    $totalCustomer = count(App\Models\Customer::all());
    $totalTransaksi = count(App\Models\Transaksi::all());
    $transaksi = App\Models\Transaksi::orderBy('created_at', 'desc')->get()
    ->groupBy(function($date) {
        return \Carbon\Carbon::parse($date->created_at)->format('M/y'); // grouping by years
        // return \Carbon\Carbon::parse($date->created_at)->format('m'); // grouping by months
    })->take(12);
// return $transaksi;
    $transaksiVal = array();
    $transaksiRange = array();

    foreach ($transaksi as $key => $value) {
        array_push($transaksiVal, $value->count());
        array_push($transaksiRange, $key);
    }

    $produkLabel = array();
    $produkData = array();

    $favList = DB::select('select nama, sum(rincian_transaksi.qty) as jumlah from rincian_transaksi right join produk on produk.id = rincian_transaksi.produk_id  where produk.deleted_at is null group by produk.nama order by produk.id asc');
// return $favList;

    foreach ($favList as $value) {
        array_push($produkLabel, $value->nama);
        array_push($produkData, $value->jumlah);
    }

    // return $produkData;
    return view('dashboard', ['totalProduk' => $totalProduk, 'totalCustomer' => $totalCustomer, 'totalTransaksi' => $totalTransaksi, 'transaksiVal' => $transaksiVal, 'transaksiRange' => $transaksiRange, 'produkLabel' => $produkLabel, 'produkData' => $produkData]);
})->name('dashboard');

Route::resource('produk', 'App\Http\Controllers\ProdukController')->middleware(['auth:sanctum', 'verified']);
Route::resource('customer', 'App\Http\Controllers\CustomerController')->middleware(['auth:sanctum', 'verified']);
Route::resource('transaksi', 'App\Http\Controllers\TransaksiController')->middleware(['auth:sanctum', 'verified']);
Route::post('transaksirinci/{request}/{idTransaksi}', 'App\Http\Controllers\RincianTransaksiController@store')->middleware(['auth:sanctum', 'verified'])->name('transaksirinci.store');
Route::get('transaksi/cetak-nota/{nomor}', 'App\Http\Controllers\TransaksiController@cetak')->middleware(['auth:sanctum', 'verified'])->name('transaksi.cetak');
Route::resource('laporan', 'App\Http\Controllers\LaporanController')->middleware(['auth:sanctum', 'verified']);
Route::resource('kabupaten', 'App\Http\Controllers\KabupatenController')->middleware(['auth:sanctum', 'verified']);
Route::resource('kelurahan', 'App\Http\Controllers\KelurahanController')->middleware(['auth:sanctum', 'verified']);
Route::resource('ongkir', 'App\Http\Controllers\OngkirController')->middleware(['auth:sanctum', 'verified']);
Route::resource('konfigurasi', 'App\Http\Controllers\KonfigurasiController')->middleware(['auth:sanctum', 'verified']);

// Sampah
Route::middleware(['auth:sanctum', 'verified'])->get('sampah', function(){
    $data = ($_GET['jenis'] == 'produk') ? \App\Models\Produk::onlyTrashed()->orderBy('deleted_at', 'desc')->get() : \App\Models\Customer::onlyTrashed()->orderBy('deleted_at', 'desc')->get();
    return view('sampah', ['data' => $data, 'jenis' => $_GET['jenis']]);
})->name('sampah');
Route::get('sampah/restore', function(){
    $data = ($_GET['jenis'] == 'produk') ? \App\Models\Produk::onlyTrashed()->where('id', $_GET['id'])->first() : \App\Models\Customer::onlyTrashed()->where('id', $_GET['id'])->first();
    $data->restore();
    return redirect()->route('sampah', ['jenis' => $_GET['jenis']])->with('success', ucfirst($_GET['jenis']).' '. $data->nama .' berhasil di kembalikan!');
})->name('restore.sampah')->middleware(['auth:sanctum', 'verified']);

resources/views/layouts/app.blade.php
<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="csrf-token" content="{{ csrf_token() }}">

        <title>{{ config('app.name', 'Laravel') }}</title>

        <!-- Fonts -->
        <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Nunito:wght@400;600;700&display=swap">

        <!-- Styles -->
        <link rel="stylesheet" href="{{ mix('css/app.css') }}">

        @livewireStyles

        <!-- Scripts -->
        <script src="{{ mix('js/app.js') }}" defer></script>
    </head>
    <body class="font-sans antialiased">
        <div class="min-h-screen bg-gray-100">
            @livewire('navigation-dropdown')

            <!-- Page Heading -->
            <header class="bg-white shadow">
                <div class="max-w-7xl mx-auto py-6 px-4 sm:px-6 lg:px-8">
                    {{ $header }}
                </div>
            </header>

            <!-- Page Content -->
            <main>
                {{ $slot }}
            </main>
        </div>

        @stack('modals')

        @livewireScripts
    </body>
</html>

resources/views/layouts/contentHeader.blade.php
<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header ml-2">
        <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
            <h1 class="m-0 text-dark">
                @yield('contentHeader')
            </h1>
            </div><!-- /.col -->
            <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
                <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">Home</a></li>
                @yield('breadCrumb')
            </ol>
            </div><!-- /.col -->
        </div><!-- /.row -->
        </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

resources/views/layouts/footer.blade.php
  </div>
  <!-- /.content-wrapper -->
  <footer class="main-footer">
    <div class="float-right d-none d-sm-inline-block">
        <strong>Developed by <a href="#">Syadan Asandy Nugraha</a>.  &copy; 2019</strong>
    </div>
  </footer>

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->

<!-- jQuery -->
<script src="{{ asset('public/AdminLTE/plugins/jquery/jquery.min.js') }}"></script>
<script src="{{ asset('public/js/jquery-3.5.1.js') }}"></script>
<!-- DataTables -->
<script src="{{ asset('public/js/jquery.dataTables.min.js') }}"></script>
<!-- ChartJS -->
<script src="{{ asset('public/AdminLTE/plugins/chart.js/Chart.min.js') }}"></script>
<!-- AdminLTE -->
<script src="{{ asset('public/AdminLTE/dist/js/adminlte.js') }}"></script>
<!-- Bootstrap -->
<script src="https://cdn.datatables.net/1.10.22/js/dataTables.bootstrap4.min.js"></script>
<script src="https://cdn.datatables.net/responsive/2.2.6/js/dataTables.responsive.min.js"></script>
<script src="https://cdn.datatables.net/responsive/2.2.6/js/responsive.bootstrap4.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.min.js" integrity="sha384-w1Q4orYjBQndcko6MimVbzY0tgp4pWB4lZ7lr30WKz0vr/aWKhXdBNmNb5D92v7s" crossorigin="anonymous"></script>
<!-- Custom -->
<script>
    $(document).ready(function() {
        $('#tableData').DataTable();
    });

    $('.btn-delete').on('click',function(e){
        e.preventDefault();
        var form = $(this).parents('form');
        swal({
            title: "Hapus Data!",
            text: "Apakah kamu yakin?",
            icon: "warning",
            buttons: true,
            dangerMode: true,
        })
        .then((willDelete) => {
            if (willDelete) {
                form.submit();
            } else {
                swal({
                    title: "Data Aman!",
                    text: "Tidak jadi menghapus!",
                    icon: "info",
                });
            }
        });
    });

    function angka(evt) {
        var charCode = (evt.which) ? evt.which : event.keyCode
        if (charCode > 31 && (charCode < 48 || charCode > 57)) {
            return false;
        }
        return true;
    }


    function formatRupiah(angka, prefix) {
        var number_string = angka.replace(/[^,\d]/g, '').toString(),
            split = number_string.split(','),
            sisa = split[0].length % 3,
            rupiah = split[0].substr(0, sisa),
            ribuan = split[0].substr(sisa).match(/\d{3}/gi);

        if (ribuan) {
            separator = sisa ? '.' : '';
            rupiah += separator + ribuan.join('.');
        }

        rupiah = split[1] != undefined ? rupiah + ',' + split[1] : rupiah;
        return prefix == undefined ? rupiah : (rupiah ? 'Rp. ' + rupiah : '');
    }

    function formatTelepon(angka, prefix) {
        var number_string = angka.replace(/[^,\d]/g, '').toString(),
            split = number_string.split(','),
            sisa = split[0].length % 4,
            rupiah = split[0].substr(0, sisa),
            ribuan = split[0].substr(sisa).match(/\d{3}/gi);

        if (ribuan) {
            separator = sisa ? '-' : '';
            rupiah += separator + ribuan.join('-');
        }

        rupiah = split[1] != undefined ? rupiah + ',' + split[1] : rupiah;
        return prefix == undefined ? rupiah : (rupiah ? '' + rupiah : '');
    }
</script>

@yield('script')

</body>
</html>

resources/views/layouts/guest.blade.php
<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="csrf-token" content="{{ csrf_token() }}">

        <title>{{ config('app.name', 'Laravel') }}</title>

        <!-- Fonts -->
        <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Nunito:wght@400;600;700&display=swap">

        <!-- Styles -->
        <link rel="stylesheet" href="{{ mix('css/app.css') }}">

        <!-- Scripts -->
        <script src="https://cdn.jsdelivr.net/gh/alpinejs/alpine@v2.7.3/dist/alpine.js" defer></script>
    </head>
    <body>
        <div class="font-sans text-gray-900 antialiased">
            {{ $slot }}
        </div>
    </body>
</html>

resources/views/layouts/header.blade.php
<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>
      @yield('title')
  </title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="csrf-token" content="{{ csrf_token() }}">
  <link rel = "icon" href =
    "{{ asset('public/img/profil/logo.png') }}"
    type = "image/x-icon"
    />
  {{-- DataTable CSS --}}
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.5.2/css/bootstrap.css">
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.22/css/dataTables.bootstrap4.min.css">
  <link rel="stylesheet" href="https://cdn.datatables.net/responsive/2.2.6/css/responsive.bootstrap4.min.css">

  <!-- Font Awesome -->
  <link rel="stylesheet" href="{{ asset('public/AdminLTE/plugins/fontawesome-free/css/all.min.css') }}">
  <!-- Ionicons -->
  <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="{{ asset('public/AdminLTE/dist/css/adminlte.min.css') }}">
  <!-- Google Font: Source Sans Pro -->
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
  <!-- SweetAlert -->
    <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
    <!-- Bootstrap -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">

    {{-- <link rel="stylesheet" href="{{ asset('public/css/bootstrap-select.css') }}">
    <link rel="stylesheet" href="{{ asset('public/css/bootstrap-select.min.css') }}">

    <script src="{{ asset('public/js/bootstrap-select.js') }}"></script>
    <script src="{{ asset('public/js/bootstrap-select.min.js') }}"></script> --}}
{{--
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.12.1/css/bootstrap-select.css" />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.12.1/js/bootstrap-select.js"></script> --}}
    {{-- <link rel="stylesheet" href="{{ asset('public/css/selectpicker.manual.css') }}"> --}}
    {{-- <script src="{{ asset('public/js/selectpicker.manual.js') }}"></script> --}}
</head>
<body class="hold-transition sidebar-mini layout-fixed">
<div class="wrapper">
    <div class="swalNotif">
        @if (Session::has('success'))
            <script>
                swal("Josss Gandosss", "{!! Session::get('success') !!}", "success",{
                    button: "OK",
                    icon: "success",
                });
            </script>
        @endif
        @if (Session::has('warning'))
            <script>
                swal("Josss Gandosss", "{!! Session::get('warning') !!}", "success",{
                    button: "OK",
                    icon: "warning",
                });
            </script>
        @endif
        @if (Session::has('info'))
            <script>
                swal("Josss Gandosss", "{!! Session::get('info') !!}", "success",{
                    button: "OK",
                    icon: "info",
                });
            </script>
        @endif
        @if (Session::has('danger'))
            <script>
                swal("Josss Gandosss", "{!! Session::get('danger') !!}", "success",{
                    button: "OK",
                    icon: "error",
                });
            </script>
        @endif
    </div>

resources/views/layouts/navbar.blade.php
<!-- Navbar -->
<nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="{{ route('dashboard') }}" class="nav-link">Home</a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="{{ route('produk.index') }}" class="nav-link">Produk</a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="{{ route('customer.index') }}" class="nav-link">Customer</a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="{{ route('transaksi.index') }}" class="nav-link">Transaksi</a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="#" class="nav-link">Kontak</a>
      </li>
    </ul>

    <!-- SEARCH FORM -->
    <form class="form-inline ml-3">
      <div class="input-group input-group-sm">
        <input class="form-control form-control-navbar" type="search" placeholder="Search" aria-label="Search">
        <div class="input-group-append">
          <button class="btn btn-navbar" type="submit">
            <i class="fas fa-search"></i>
          </button>
        </div>
      </div>
    </form>

    <!-- Right navbar links -->
    <ul class="navbar-nav ml-auto">
      <!-- Messages Dropdown Menu -->
      <li class="nav-item dropdown">
        <a class="nav-link" href="#">
          <i class="far fa-comments"></i>
          <span class="badge badge-danger navbar-badge">3</span>
        </a>
      </li>
      <!-- Notifications Dropdown Menu -->
      <li class="nav-item dropdown">
        <a class="nav-link" data-toggle="dropdown" href="#">
          <i class="far fa-bell"></i>
          <span class="badge badge-warning navbar-badge">15</span>
        </a>
        <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
          <span class="dropdown-item dropdown-header">15 Notifications</span>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item">
            <i class="fas fa-envelope mr-2"></i> 4 new messages
            <span class="float-right text-muted text-sm">3 mins</span>
          </a>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item">
            <i class="fas fa-users mr-2"></i> 8 friend requests
            <span class="float-right text-muted text-sm">12 hours</span>
          </a>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item">
            <i class="fas fa-file mr-2"></i> 3 new reports
            <span class="float-right text-muted text-sm">2 days</span>
          </a>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item dropdown-footer">See All Notifications</a>
        </div>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="#" role="button">
          <i class="fas fa-th-large"></i>
        </a>
      </li>
    </ul>
  </nav>
  <!-- /.navbar -->

resources/views/layouts/sidebar.blade.php
{{-- <!-- Main Sidebar Container --> sidebar-dark-primary --}}
<aside class="main-sidebar sidebar-dark elevation-4 bg-white">
    <!-- Brand Logo -->
    <a href="{{route('dashboard')}}" class="brand-link">
      <img src="{{ asset('public/img/users/'.Auth::user()->logo_web) }}" alt="AdminLTE Logo" class="brand-image" style="width: 80%;">
      <br>
      {{-- <span class="brand-text font-weight-light">KF Skin</span> --}}
    </a>

    <!-- Sidebar -->
    <div class="sidebar scrolling">
      <!-- Sidebar user panel (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="image">
          <img src="{{ asset('public/img/users/'.Auth::user()->profile_photo_path) }}" class="img-circle elevation-2" alt="User Image">
          {{-- <i class="fa fas fa-women"></i> --}}
        </div>
        <div class="info">
          <a href="{{ route('konfigurasi.index') }}" class="d-block text-secondary">{{ Auth::user()->name }}</a>
        </div>
      </div>

      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column test" data-widget="treeview" role="menu" data-accordion="false">
          <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
          <li class="nav-header">MENU</li>
          <li class="nav-item">
            <a href="{{ route('produk.index') }}" class="nav-link">
              <i class="nav-icon ion ion-bag"></i>
              <p>
                Produk
              </p>
            </a>
          </li>
          <li class="nav-item">
            <a href="{{ route('customer.index') }}" class="nav-link">
              <i class="nav-icon ion ion-person"></i>
              <p>
                Customer
              </p>
            </a>
          </li>
          {{-- <li class="nav-item">
            <a href="{{ route('transaksi.index') }}" class="nav-link">
              <i class="nav-icon ion ion-stats-bars"></i>
              <p>
                Transaksi
              </p>
            </a>
          </li> --}}
          <li class="nav-item listCollapse">
            <a href="#transaksiCollapse" data-toggle="collapse" role="button" aria-expanded="false" aria-controls="collapseExample" class="nav-link">
              <i class="nav-icon ion ion-stats-bars"></i>
              <p>
                Transaksi
              </p>
              <i class="fas fa-sort-down"></i>
            </a>
            <ul id="transaksiCollapse" class="collapse nav nav-pills ml-4" >
                <li class="nav-item">
                    <a href="{{ route('transaksi.create') }}" class="nav-link">
                        <i class="nav-icon fa fa-shopping-cart"></i>
                        <p>
                          Tambah
                        </p>
                      </a>
                </li>
                <li class="nav-item">
                    <a href="{{ route('transaksi.index') }}"  class="nav-link">
                        <i class="nav-icon fa fa-database"></i>
                        <p>
                          Data
                        </p>
                      </a>
                </li>
            </ul>
          </li>
          <li class="nav-item">
            <a href="{{ route('ongkir.index') }}" class="nav-link">
              <i class="nav-icon fa fa-taxi"></i>
              <p>
                Ongkir
              </p>
            </a>
          </li>
          <li class="nav-item listCollapse">
            <a href="#wilayahCollapse" data-toggle="collapse" role="button" aria-expanded="false" aria-controls="collapseExample" class="nav-link">
              <i class="nav-icon fa fa-globe"></i>
              <p>
                Wilayah
              </p>
              <i class="fas fa-sort-down"></i>
            </a>
            <ul id="wilayahCollapse" class="collapse nav nav-pills ml-4" >
                <li class="nav-item">
                    <a href="{{ route('kabupaten.index') }}" class="nav-link">
                        <i class="nav-icon fa fa-building"></i>
                        <p>
                          Kabupaten
                        </p>
                      </a>
                </li>
                <li class="nav-item">
                    <a href="{{ route('kelurahan.index') }}"  class="nav-link">
                        <i class="nav-icon fa fa-home"></i>
                        <p>
                          Kelurahan
                        </p>
                      </a>
                </li>
            </ul>
          </li>
          <li class="nav-item listCollapse">
            <a href="#laporanCollapse" data-toggle="collapse" role="button" aria-expanded="false" aria-controls="collapseExample" class="nav-link">
              <i class="nav-icon fa fa-book"></i>
              <p>
                Laporan
              </p>
              <i class="fas fa-sort-down"></i>
            </a>
            <ul id="laporanCollapse" class="collapse nav nav-pills ml-4" >
                <li class="nav-item">
                    <a href="{{ route('laporan.index', ['laporan' => 'bulanan']) }}" class="nav-link">
                        <i class="nav-icon fa fa-calendar-day"></i>
                        <p>
                          Bulanan
                        </p>
                      </a>
                </li>
                <li class="nav-item">
                    <a href="{{ route('laporan.index', ['laporan' => 'tahunan']) }}"  class="nav-link">
                        <i class="nav-icon fa fa-calendar-week"></i>
                        <p>
                          Tahunan
                        </p>
                      </a>
                </li>
            </ul>
          </li>
          <li class="nav-item listCollapse">
            <a href="#sampahCollapse" data-toggle="collapse" role="button" aria-expanded="false" aria-controls="collapseExample" class="nav-link">
              <i class="nav-icon fa fa-trash"></i>
              <p>
                Sampah
              </p>
              <i class="fas fa-sort-down"></i>
            </a>
            <ul id="sampahCollapse" class="collapse nav nav-pills ml-4" >
                <li class="nav-item">
                    <a href="{{ route('sampah', ['jenis' => 'produk']) }}" class="nav-link">
                        <i class="nav-icon ion ion-bag"></i>
                        <p>
                          Produk
                        </p>
                      </a>
                </li>
                <li class="nav-item">
                    <a href="{{ route('sampah', ['jenis' => 'customer']) }}"  class="nav-link">
                        <i class="nav-icon ion ion-person"></i>
                        <p>
                          Customer
                        </p>
                      </a>
                </li>
            </ul>
          </li>
          <li class="nav-item">
            <a href="{{ route('konfigurasi.index') }}" class="nav-link">
              <i class="nav-icon fa fa-wrench"></i>
              <p>
                Konfigurasi
              </p>
            </a>
          </li>
          <li class="nav-item logout" style=" cursor: pointer; position: fixed; bottom: 10px;">
                <form method="POST" action="{{ route('logout') }}">
                    @csrf
                    <button type="submit" class="btn nav-link">
                        <i class="nav-icon ion ion-log-out"></i>
                        <p>
                            {{ __('Logout') }}
                        </p>
                    </button>
                </form>
            </li>
        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>

  <script>

    const listCollapse = document.querySelectorAll(".listCollapse");

    const link = document.querySelectorAll(".listCollapse a");

    listCollapse.forEach((elm,idx) => {

        elm.addEventListener("click",()=>{

            // link.forEach(elem => {

                for(let i = 0; i < link.length - 1 ; i++) {
                    if(link[i].classList.contains("collapsed")){
                        console.log("Ini uda collapsed");
                        break;
                    }
                    else{
                        console.log("Gagal Collapsed");
                    }
                }

            // })
        })
    })

//   const scroll = document.querySelector(".test");
//     const logoutButton = document.querySelector(".logout");
//     const list = document.querySelectorAll(".test li");

// setInterval(()=>{
//     console.log(`${scroll} + ${scroll.clientHeight}`);
// },1000)


    // list.forEach((elm,idx) => {
    //     elm.addEventListener("click",()=>{
    //     if(scroll.clientHeight > 471) {
    //         console.log("Udah disini");
    //         logoutButton.style.background = "black";
    //     }
    //     else{
    //         console.log("udah out");
    //         logoutButton.style.background = "none";
    //     }
    //     })
    // })


    // list.addEventListener("click",() =>{
    //     if(scroll.clientHeight > 100) {
    //     console.log("Udahndisini");
    //     logoutButton.style.position = "none";
    // }
    // })

//    const testFunction = () => {

//     if(scroll.clientHeight > 100) {
//         console.log("Udahndisini");
//         logoutButton.style.position = "none";
//     }
//    }


  </script>

resources/views/layouts/template.blade.php
@include('layouts.header')
@include('layouts.navbar')
@include('layouts.sidebar')
@include('layouts.contentHeader')

<!-- Main content -->
<section class="content ml-2">

        @yield('content')

</section>
<!-- /.content -->
@include('layouts.footer')